FieldToMatchProperty Struct
Specifies a field in the request to redact from WAF logs, such as headers, query parameters, or body content.
Example
ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_observabilityadmin as observabilityadmin } from 'aws-cdk-lib';
const fieldToMatchProperty: observabilityadmin.CfnTelemetryRule.FieldToMatchProperty = {
method: 'method',
queryString: 'queryString',
singleHeader: {
name: 'name',
},
uriPath: 'uriPath',
};
Properties
Redacts the HTTP method from WAF logs.
Redacts the entire query string from WAF logs.
singleHeaderIResolvable | CfnTelemetryRule.SingleHeaderPropertysingle_headertyping.Union[IResolvable, SingleHeaderProperty]singleHeaderIResolvableSingleHeaderIResolvableSingleHeaderinterface{}#Redacts a specific header field by name from WAF logs.
Redacts the URI path from WAF logs.